// File Weapon.h

#include <afx.h>
#include <afxcoll.h>

#define SMALL	0
#define MEDIUM	1
#define LARGE	2

#define BLUDGEONING	0
#define	SLASHING	1
#define	PIERCING	2

#define NODADO		-1

#define S_M		0
#define L		1

// Descrizione classe di accesso per gestione dati in file Weapon.txt

class CWeapon : public CStdioFile
{
private:
	CStringArray m_Size;
	CStringArray m_Type;
	CStringArray m_Damage[2];
public:
	CWeapon();
	int GetSize(int);
	int GetTypeDamage(int);
	void GetDamage(int, int, int&, int&);
	void m_FillList(CComboBox &);
};